summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorthestig@chromium.org <thestig@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2013-05-08 07:20:09 +0000
committerthestig@chromium.org <thestig@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2013-05-08 07:20:09 +0000
commite2aaaaccdf1c8ca155b4305115aa07d205df12be (patch)
tree3ef04ddd8478d1633a6900716b7006f9482da136 /build
parentdcadc80106a676038932998481461d0a2aeb260e (diff)
downloadchromium_src-e2aaaaccdf1c8ca155b4305115aa07d205df12be.zip
chromium_src-e2aaaaccdf1c8ca155b4305115aa07d205df12be.tar.gz
chromium_src-e2aaaaccdf1c8ca155b4305115aa07d205df12be.tar.bz2
Use a sysroot for Chrome Linux official builds. (try 2)
BUG=224487 R=mmoss@google.com Review URL: https://codereview.chromium.org/15030002 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@198856 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'build')
-rw-r--r--build/common.gypi28
-rwxr-xr-xbuild/linux/install-debian.wheezy.sysroot.wrapper.sh29
2 files changed, 54 insertions, 3 deletions
diff --git a/build/common.gypi b/build/common.gypi
index 3a6badf..2433392 100644
--- a/build/common.gypi
+++ b/build/common.gypi
@@ -61,6 +61,9 @@
# non-Official # builds).
'buildtype%': 'Dev',
+ # Override branding to select the desired branding flavor.
+ 'branding%': 'Chromium',
+
'conditions': [
# ChromeOS implies ash.
['chromeos==1', {
@@ -101,6 +104,7 @@
'enable_hidpi%': '<(enable_hidpi)',
'enable_touch_ui%': '<(enable_touch_ui)',
'buildtype%': '<(buildtype)',
+ 'branding%': '<(branding)',
'host_arch%': '<(host_arch)',
# Default architecture we're building for is the architecture we're
@@ -168,6 +172,14 @@
}, {
'use_default_render_theme%': 0,
}],
+
+ # TODO(thestig) Remove the linux_lsb_release check after all the
+ # official Ubuntu Lucid builder are gone.
+ ['OS=="linux" and branding=="Chrome" and buildtype=="Official" and chromeos==0', {
+ 'linux_lsb_release%': '<!(lsb_release -r -s)',
+ }, {
+ 'linux_lsb_release%': '',
+ }], # OS=="linux" and branding=="Chrome" and buildtype=="Official" and chromeos==0
],
},
@@ -191,10 +203,9 @@
'enable_message_center%': '<(enable_message_center)',
'use_default_render_theme%': '<(use_default_render_theme)',
'buildtype%': '<(buildtype)',
+ 'branding%': '<(branding)',
'arm_version%': '<(arm_version)',
-
- # Override branding to select the desired branding flavor.
- 'branding%': 'Chromium',
+ 'linux_lsb_release%': '<(linux_lsb_release)',
# Set to 1 to enable fast builds. Set to 2 for even faster builds
# (it disables debug info for fastest compilation - only for use
@@ -629,6 +640,17 @@
'sysroot%': '<!(cd <(DEPTH) && pwd -P)/arm-sysroot',
}], # OS=="linux" and target_arch=="arm" and chromeos==0
+ ['linux_lsb_release=="12.04"', {
+ 'conditions': [
+ ['target_arch=="x64"', {
+ 'sysroot%': '<!(cd <(DEPTH) && pwd -P)/chrome/installer/linux/internal/debian_wheezy_amd64-sysroot',
+ }],
+ ['target_arch=="ia32"', {
+ 'sysroot%': '<!(cd <(DEPTH) && pwd -P)/chrome/installer/linux/internal/debian_wheezy_i386-sysroot',
+ }],
+ ],
+ }], # linux_lsb_release=="12.04"
+
['target_arch=="mipsel"', {
'sysroot%': '<!(cd <(DEPTH) && pwd -P)/mipsel-sysroot/sysroot',
'CXX%': '<!(cd <(DEPTH) && pwd -P)/mipsel-sysroot/bin/mipsel-linux-gnu-gcc',
diff --git a/build/linux/install-debian.wheezy.sysroot.wrapper.sh b/build/linux/install-debian.wheezy.sysroot.wrapper.sh
new file mode 100755
index 0000000..0e99d7b
--- /dev/null
+++ b/build/linux/install-debian.wheezy.sysroot.wrapper.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Copyright (c) 2013 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This wrapper script runs the Debian sysroot installation scripts, if they
+# exist.
+#
+# The script is a no-op except for linux users who have the following in their
+# GYP_DEFINES:
+#
+# * branding=Chrome
+# * buildtype=Official
+# * target_arch=[matching_arch]
+#
+# and not:
+#
+# * chromeos=1
+
+set -e
+
+SRC_DIR="$(dirname "$0")/../../"
+SCRIPT_DIR="chrome/installer/linux/internal/sysroot_scripts/"
+SCRIPT_FILE="$SRC_DIR/$SCRIPT_DIR/install-debian.wheezy.sysroot.py"
+
+if [ -e "$SCRIPT_FILE" ]; then
+ python "$SCRIPT_FILE" --linux-only --arch=amd64
+ python "$SCRIPT_FILE" --linux-only --arch=i386
+fi